<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ArgTableEntry_Generic Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classArgTableEntry__Generic-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ArgTableEntry_Generic Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ArgTableEntry_Generic:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classArgTableEntry__Generic.png" usemap="#ArgTableEntry_5FGeneric_map" alt=""/>
  <map id="ArgTableEntry_5FGeneric_map" name="ArgTableEntry_5FGeneric_map">
<area href="classArgTableEntry__Date.html" alt="ArgTableEntry_Date" shape="rect" coords="0,56,146,80"/>
<area href="classArgTableEntry__Double.html" alt="ArgTableEntry_Double" shape="rect" coords="156,56,302,80"/>
<area href="classArgTableEntry__File.html" alt="ArgTableEntry_File" shape="rect" coords="312,56,458,80"/>
<area href="classArgTableEntry__Int.html" alt="ArgTableEntry_Int" shape="rect" coords="468,56,614,80"/>
<area href="classArgTableEntry__Lit.html" alt="ArgTableEntry_Lit" shape="rect" coords="624,56,770,80"/>
<area href="classArgTableEntry__Regex.html" alt="ArgTableEntry_Regex" shape="rect" coords="780,56,926,80"/>
<area href="classArgTableEntry__String.html" alt="ArgTableEntry_String" shape="rect" coords="936,56,1082,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a099fea163d47c623fc6ebb213b3176c2"><td class="memItemLeft" align="right" valign="top"><a id="a099fea163d47c623fc6ebb213b3176c2"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>getCount</b> ()</td></tr>
<tr class="separator:a099fea163d47c623fc6ebb213b3176c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81c07fe6f9a4fe6c86e8104a4099bf8"><td class="memItemLeft" align="right" valign="top"><a id="aa81c07fe6f9a4fe6c86e8104a4099bf8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>hasValue</b> ()</td></tr>
<tr class="separator:aa81c07fe6f9a4fe6c86e8104a4099bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acebcf62070a5bfad55fb6b70a36f424c"><td class="memItemLeft" align="right" valign="top"><a id="acebcf62070a5bfad55fb6b70a36f424c"></a>
virtual void *&#160;</td><td class="memItemRight" valign="bottom"><b>getEntry</b> ()=0</td></tr>
<tr class="separator:acebcf62070a5bfad55fb6b70a36f424c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a46a8577ba1a1b672321e192f667e68eb"><td class="memItemLeft" align="right" valign="top"><a id="a46a8577ba1a1b672321e192f667e68eb"></a>
ArgType_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_type</b></td></tr>
<tr class="separator:a46a8577ba1a1b672321e192f667e68eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Console_8h_source.html">Console.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
